Type to search.

Get a workflow execution

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Retrieve details of a single workflow execution by its ID.

Required privileges

Privileges workflowsManagement:read and workflowsManagement:readExecution. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:readExecution

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

executionId string · max length: 255 required

Workflow execution ID

Query parameters

includeInput boolean · default: false

Include execution input data.

includeOutput boolean · default: false

Include execution output data.

omitStepExecutions boolean · default: false

When true, omit the embedded stepExecutions array. Defaults to false. When this is false, the embed is capped at 5000 steps.

Response

200

Indicates a successful response

application/json